# -*- encoding: utf-8 -*-
$:.push File.expand_path(File.join('..', 'lib'), __FILE__)
require 'dbum/metadata'

Gem::Specification.new do |s|
  s.name        = 'dbum'
  s.version     = DBum::VERSION
  s.platform    = Gem::Platform::RUBY
  s.author      = DBum::AUTHOR
  s.license     = DBum::LICENSE
  s.homepage    = DBum::HOMEPAGE
  s.email       = DBum::EMAIL
  s.summary     = DBum::SUMMARY
  s.description = DBum::SUMMARY + '.'

  s.add_runtime_dependency 'thor', '~> 0'
  s.add_runtime_dependency 'slog', '~> 1.1'
  s.add_runtime_dependency 'sinatra', '~> 1.4'
  s.add_runtime_dependency 'daybreak', '~> 0.3'
  s.add_runtime_dependency 'deep_merge', '~> 1'

  s.files         = `git ls-files`.split("\n")
  s.test_files    = `git ls-files -- test/*`.split("\n")
  s.executables   = `git ls-files -- bin/*`.split("\n").map { |f| File::basename(f) }
  s.require_paths = %w[ lib ]
end